#include "PlayerCC.H"
#include "GlobalDataBase.H"

void PlayerCC::Init(GameObj* game_obj) {
  GameObjWrapper::Init(game_obj);

  leftTop = WorldCoor(*game_obj->sod.x1, *game_obj->sod.y1);
  rightBottom = WorldCoor(*game_obj->sod.x2, *game_obj->sod.y2);
  worldCoor = WorldCoor((leftTop.x + rightBottom.x) / 2,
      (leftTop.y + rightBottom.y) / 2 );
  mapCoor = MapBox::GetMapCoor(worldCoor);
  hp = *gameObj->get_int_ptr("hp");

}

bool PlayerCC::Update() {
  if (! (dead = gameObj->is_dead() || (!gameObj->sod.in_game) ) )
    hp = *gameObj->get_int_ptr("hp");
  return !dead;
}
