#ifndef REGROUPING_H
#define REGROUPING_H

#include "GlobalDataBase.H"
#include "SquadAI.H"

namespace {
  const int MAX_GROUP_COUNT = 50;
}

class Regrouping {
  public:
    SquadAI** GetSquads() { return squads; }
    SquadAI** GetSquadsEnd() { return squads + squadCount; }
    int GetSquadCount() { return squadCount; }
    void Regroup();
    void Update();
    Regrouping(GlobalDataBase* global_data_base);
  private:
    GlobalDataBase* globalDataBase;
    int squadCount;
    SquadAI* squads[MAX_GROUP_COUNT];
};
#endif
