/** @file EventHandler.C
    @see EventHandler.H

    $Id: EventHandler.C,v 1.1 2005/06/26 08:13:33 orts_furtak Exp $
    $Source: /usr/bodo1/cvs/cvs/orts3/libs/serverclient/src/EventHandler.C,v $
*/

#include "Global.H"
#include "EventHandler.H"

using namespace std;

sint4 EventFactory::current_who = 0;
sint4 EventFactory::current_what = 0;

//===================================================================

/** @return Number of handlers that handled the event. */

sint4 EventHandlerList::call(const Event &e)
{
  sint4 n = 0;
  FORALL (list, h) {
    n += (*h)->handle_event(e);
  }
  return n;
}

//===================================================================
