#include "Primitive.H"
#include <cmath>

/* 
   Copyright 2007 Man Hon Chan, Zhangbo Liu, Simon Suyadi
   This code is Licensed under GPL.
 */

std::ostream& operator<<(std::ostream& os, const MapCoor& coor) {
  return os << "(r=" << coor.r << ", c=" << coor.c << ')';
}

std::ostream& operator<<(std::ostream& os, const WorldCoor& coor) {
  return os << "(x=" << coor.x << ", y=" << coor.y << ')';
}

std::ostream& operator<<(std::ostream& os, const MapDirection& dir) {
  return os << "(dr=" << dir.dr << ", dc=" << dir.dc << ')';
}

