#include "FFData.H"
#include "FFEngine.H"

void FFEnemyData::CleanUp() {
  FFEngine::ClearEnemyData(this);
}

void FFNeutralData::CleanUp() {
  FFEngine::ClearNeutralData(this);
}

void FFPlayerData::CleanUp() {
  FFEngine::ClearPlayerData(this);
}

void FFStaticData::Init() {
  leftTop = MapBox::GetMapCoor(
      ((PlayerCC*)gameObjWrapper)->GetLeftTop() );
  rightBottom = MapBox::GetMapCoor(
      ((PlayerCC*)gameObjWrapper)->GetRightBottom() );
  MapBox::AddTaboo(leftTop, rightBottom);
}

void FFStaticData::CleanUp() {
  MapBox::RemoveTaboo(leftTop, rightBottom);
}
