#ifndef PLAYER_CC_H
#define PLAYER_CC_H

#include "GameObjWrapper.H"

class PlayerCC: public GameObjWrapper {
  public:
    PlayerCC():GameObjWrapper() {}

    bool Update();
    inline sint4 GetHP() const { return hp; }

    inline const WorldCoor& GetLeftTop() const { return leftTop; }

    inline const WorldCoor& GetRightBottom() const { return rightBottom; }

    void Init(GameObj* game_obj);

  private:
    WorldCoor leftTop, rightBottom;
    sint4 hp;

};
#endif
