#include "EnemyMarine.H"
#include "PlayerInfo.H"
#include "GlobalDataBase.H"

/*
   Copyright 2007 Man Hon Chan, Zhangbuo Liu, Simon Suyadi
   This code is licensed under GPL
 */

#include <iostream>
using std::cerr;
using std::endl;

EnemyMarine::EnemyMarine(GameObj* game_obj, GlobalDataBase* global_data_base):GameObjWrapper(game_obj, global_data_base), cluster(NULL) {
  id = global_data_base->GetPlayerInfo().get_id(game_obj);
  hp = *gameObj->get_int_ptr("hp"); // id doesn't have to be updated
  //id = GameObj::get_obj_id(game_obj);
}


bool EnemyMarine::Update() {
  if (!GameObjWrapper::Update()) return false;
  hp = *gameObj->get_int_ptr("hp"); // id doesn't have to be updated
  return true;
}


