#ifndef ENEMY_MARINE_H
#define ENEMY_MARINE_H

#include "GameObjWrapper.H"
#include "EnemyMarine.H"
#include "ScriptObj.H"

class Cluster;

class EnemyMarine: public GameObjWrapper {
  public:
    virtual bool Update();
    inline sint4 GetHP() { return hp; }
    inline ObjId GetID() { return id; } // For attack
    //int enemyIndex; // Used by GlobalDataBase to keep track of ALL enemies

    inline void SetCluster(Cluster* cluster_) { cluster = cluster_; }
    inline Cluster* GetCluster() { return cluster; }

  protected:
    sint4 hp;
    ObjId id;
    Cluster* cluster;
    EnemyMarine(GameObj* game_obj, GlobalDataBase* global_data_base);

    friend GameObjWrapper* GameObjWrapper::GetWrapper(GameObj* game_obj, GlobalDataBase *global_data_base);
};


#endif
