#ifndef FF_ENGINE_H
#define FF_ENGINE_H

#include "FFPrimitive.H"

class GlobalDataBase;
class FFData;
class FFPlayerData;
class PlayerMarine;
class Cluster;

class FFEngine {
  public:
    FFEngine(GlobalDataBase* global_data_base);
    void Run();
    void Remove(const MapCoor& coor, FFData* data);
    void Add(const MapCoor& coor, FFData* data);
  private:
    GlobalDataBase* globalDataBase;

    FFData* mapBucket[MAP_HEIGHT][MAP_WIDTH][6];
    char mapBucketSize[MAP_HEIGHT][MAP_WIDTH];

    static Force GetHullForce(const Cluster* const &cluster,
        const PlayerMarine* const &marine,
        const FFPlayerData* const &data);
};

#endif
